Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.enterprise.deploy.spi
Interface TargetModuleID

public interface TargetModuleID

A TargetModuleID interface represents a unique identifier for a deployed application module. A deployable application module can be an EAR, JAR, WAR or RAR file. A TargetModuleID can represent a root module or a child module. A root module TargetModuleID has no parent. It represents a deployed EAR file or stand alone module. A child module TargetModuleID represents a deployed sub module of a J2EE application. A child TargetModuleID has only one parent, the super module it was bundled and deployed with. The identifier consists of the target name and the unique identifier for the deployed application module.

Method Summary
`TargetModuleID[]` | `getChildTargetModuleID()` Retrieve a list of identifiers of the children of this deployed module.
`java.lang.String` | `getModuleID()` Retrieve the id assigned to represent the deployed module.
`TargetModuleID` | `getParentTargetModuleID()` Retrieve the identifier of the parent object of this deployed module.
`Target` | `getTarget()` Retrieve the name of the target server.
`java.lang.String` | `getWebURL()` If this TargetModulID represents a web module retrieve the URL for it.
`java.lang.String` | `toString()` Retrieve the identifier representing the deployed module.

Method Detail

### getTarget

    public Target getTarget()

  Retrieve the name of the target server. this module was deployed to.

  Returns:
    Target an object representing a server target.

### getModuleID

    public java.lang.String getModuleID()

  Retrieve the id assigned to represent the deployed module.

### getWebURL

    public java.lang.String getWebURL()

  If this TargetModulID represents a web module retrieve the URL for it.

  Returns:
    the URL of a web module or null if the module is not a web module.

### toString

    public java.lang.String toString()

  Retrieve the identifier representing the deployed module.

### getParentTargetModuleID

    public TargetModuleID getParentTargetModuleID()

  Retrieve the identifier of the parent object of this deployed module. If there is no parent then this is the root object deployed. The root could represent an EAR file or it could be a stand alone module that was deployed.

  Returns:
    the TargetModuleID of the parent of this object. A `null` value means this module is the root object deployed.

### getChildTargetModuleID

    public TargetModuleID[] getChildTargetModuleID()

  Retrieve a list of identifiers of the children of this deployed module.

  Returns:
    a list of TargetModuleIDs identifying the childern of this object. A `null` value means this module has no childern

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.